2012-04-07  Axel Waggershauser  <awagger@web.de>

	* EOS 5D Mark III support
	* CustomFunctionEx support for EOS

2010-11-17  Marcus Meissner <marcus@jet.franken.de>

	* config.c, library.c, ptp.c, ptp.h: switch the canon powershot event
          handling to be non-interrupt (just using the 0x9013 opcode).

2010-11-17  Marcus Meissner <marcus@jet.franken.de>

	* library.c: Replace 20 by 100 tries in EOS preview capturing.

2010-11-15  Flori Radlherr

	* config.c: Implement a "Immediate" button trigger config on Canon EOS.


2010-10-28  Marcus Meissner <marcus@jet.franken.de>

	* library.c: Speed up initial EOS capture if the event stack was not
	  drained before.

2010-10-15  Chris Wulff

	* library.c: Fixed session setup to really use incremental,
          from Chris Wulff.

2010-09-15  Marcus Meissner <marcus@jet.franken.de>

	* library.c: When querying the thumb, use the direct thumbsize.

2010-06-30  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: restructured eos event handling loops
	  to be less USB intensive after report by Axel.
	* config.c,library.c: various ptp errors passed up.

2010-06-30  Axel Waggershauser  <awagger@web.de>

	* ptp-pack.c: Fixed EOS imageformat unpacking regression.
	* config.c: fixed shadowed variable usage making set_config 
	  leave too early.

2010-01-09  Daniel P. Berrange <dan@berrange.com>

	* config.c: Added several new Nikon flash configurations.

2009-12-13  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Mark readonly widgets as readonly
	* library.c: make timeout code the same for all functions,
	  fixed canon capture timeouts.

2009-12-06  Laurent Calmes <lcalmes@users.sourceforge.net>

	* library.c: Fixed Nikon Preview code for Nikon D300,

2009-10-31  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Implemented Sharpness, Capture Delay and Burst
	  Interval standard PTP properties.
	* config.c: Implemented Fuji Image Format and Release/Capture mode.

2009-10-29  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Fuji Pro S5 support. Detect FUJI vendor.
	* ptp.h: More vendor codes from i3a.org.
	* config.c: Hook up lots of PTP codes from Fuji S5 Pro.

2009-10-02  Marcus Meissner  <marcus@jet.franken.de>

	* config.c,ptp.c,ptp-pack.c: Added more EOS configuration values.
	* library.c: Made EOS preview capturing more stable.
	* config.c: Hide action commands if command is not present.

2009-09-25  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Handle different Canon EOS card target values.

2009-08-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: In wait_for_event do not wait for full seconds anymore.

2009-07-28  Axel Waggershauser  <awagger@web.de>

	* config.c: Unified names and values of configuration settings.

          Some of the common names have been changed, like owner -> ownername
          and exptime -> shutterspeed etc.

2009-07-24  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Finalized generic PTP property setter.
	* library.c,config.c: Enable Viewfinder on demand only, not for
	  regular capture. Should fix camera-switching-off issues.

2009-07-19  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: New subsection "status" for all read-only values.
	* config.c: New subsection "action" for simple camera actions.

	* config.c: Added new "bulb" action for newer Canon EOS cameras,.

		--set-config bulb=1   to put it in Bulb mode
		--set-config bulb=0   to put it out of Bulb mode
		(--wait-event for looking where the image went or so)

2009-07-15  Axel Waggershauser  <awagger@web.de>

	* config.c: some unnecessary debuglines removed.
	* config.c: Decode EOS battery charge value.
	* config.c,library.c: support for 'online-updates' of capturetarget for EOS

2009-07-10  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h: Generic PTP wrapper function (no data, no output)
	  to avoid coding all generic functions as seperate functions.
	  Converted all convertable functions to macros.

2009-07-09  Axel Waggershauser  <awagger@web.de>

	* ptp.c: Some sprintf format adjustments.
	* ptp.h: EOS_RemoteRelease doc comments.
	* config.c: More Canon ISO and FStop values for the Canon 5D Mark II.
	* ptp-pack.c,library.c: More EOS debugging output.
	* config.c: Added AEB and DriveMode configuration.
	* ptp.c,ptp.h: Added ptp_canon_eos_requestdevicepropvalue()
	* config.c: request some string types, handle owner, artist,
	  copyright, lensname, serialnr, shuttercount, availableshots
	* ptp.c: decode EOS strings better
	* ptp-pack.c: dpd.GetSet adjustments.
	* ptp-pack.c,config.c,ptp.c: Implemented EOS ImageSize and ImageFormat handling.

2009-05-26  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h,library.c.usb.c:: Unify and abstract ptp object handling.
	  Add "on demand" loading throughout library.c.

	  (Larger rewrite ... might still be a bit buggy.)

2009-04-10  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h,ptp-pack.c: make nikon check event return a
	  generic PTPContainer, make canon check event also return
	  a generic PTPContainer.

	* ptp.c,ptp.h: Added 2 PTP event queue, generic events and Canon EOS.

	* library.c: Rewrote wait_for_event to use event queues etc.

	* library.c: Hooked up the first try at the trigger capture method,
	  currently just PTP generic, others to follow.

2009-03-27  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.c, ptp.h: use Nikon Get Vendor Extension Codes
	  call instead of fixed lists. Removed static lists.

	* library.c: In wait_event, handle Nikon cameras with Check Event
	  to also allow tethered capture via SDRAM. (cut and paste code needs
	  to be cleaned up sometime).

	* library.c: Nikon LiveView support for --capture-preview.
	* library.c: Nikon DSLR: AutoFocus Drive (always possible)
	  and Manual Focus Drive (only during LiveView) added.

	* library.c: If a MTP device has vendor name Canon or Nikon, mark it as Nikon
	  or Canon.

	* library.c: Canon capture: Automatically fallback to SDRAM if
	  no CF/SD Card inserted.
	* library.c: Canon EOS Capture: download all images on tethered capture.

	* config.c: longer timeout for Canon ViewFinder On command
	* config.c: some more error reporting on the table driven config engine
	* config.c: some new values added

	* music-players.h, device-flags.h: imported from latest libmtp.

	* library.c: Added:
		Nikon CoolPix P50, S60
		Canon Digital IXUS 85
		Canon PowerShot A740, G10, 
		Canon EOS 5D Mark II
	

2009-01-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Adjusted flags for Canon Powershots to match capture
	  abilities on the SDK page.
	* config.c: Do not list WiFi stuff on non-WiFi Nikons in config.
	* library.c: Added Nikon D200 property set.

2009-01-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Fixed stupid bug in "canon capture to card" mode.

	* ptp.c,ptp.h,config.c:  PTP Nikon AfDrive (Nikon DSLR). (not doing much)

	* ptp.c, config.c: Various additions of missing config values.

2009-01-15  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Enable viewfinder in enable capture for Powershots,
	  so we can just --set-config capture=1 --set-config output=0
	  or so.

	* library.c: Added Nikon D90 and its hidden properties.

2009-01-08  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added set_info_func, to set/reset Object Protection
	  flags. Added queries for it to get_info_func. (Used by digikam
	  already).
	* library.c: Added Canon Digital IXUS 960 IS, EOS 1000D, PowerShot
	  SX10 IS, Fuji FinePix A920, S2000HD.
	* library.c: Added Nikon D200 hidden properties.
	* config.c: Added more Nikon properties (almost of D70s properties
	  now added).

2008-12-22  Marcus Meissner  <marcus@jet.franken.de>

	* library.c,ptp.c,ptp.h: Added more Nikon properties.

2008-12-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Handle CR2 in Canon ObjectAdd events
	* ptp.c, config.c: More Nikon property handling

2008-12-14  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.h: Found some Nikon property ids.

2008-11-27  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Got the data for the D700 and D300, included.
	  Changed nikon capture code to work with the D700 and other
	  newer Nikon DSLRs.

	* ptp.[ch]: Decode the Nikon DSLR current rotation flag.
	* ptp.h: Mark up the operation codes for Nikons.

2008-11-23  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Newer Nikon DSLRs "hide" the Nikon
	  vendor device properties, re-add them when we
	  find them missing. Reviewed with a D80 already.

	* ptp.h: Fixed Canon Capture to Card mode bug.

	* ptp.c,ptp.h: Dumper for lots of Canon properties
	  for --summary.

2008-11-05  Marcus Meissner  <marcus@jet.franken.de>

	* ptp-private.h, library.c: Move init_ptp_fs
	  out of initialization and into the routines
	  that need it.

	  This avoids loading the whole PTP fs for:
	  - configuration
	  - summary

2008-10-26  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.h,ptp.c: Started adding PTP v1.1 defines.

2008-10-12  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Adjusted summary output a bit.

	* library.c: Handle "wrong parent" or "no root parent"
	  devices every time, so when we autodetect new ones
	  we do not need to add them to the list.
	  Should avoid releasing libgphoto2 for new iPhones etc.

	* library.c: If a filename is empty or not set, replace it by
	  the 8 char hexcode. (Should enable movie retrieval on
	  Panasonics).

2008-10-09  Marcus Meissner  <marcus@jet.franken.de>

	* ptp-pack.c: factored out ptp time string parser
	* library.c: also support MTP commands for cameras.
	  (fast directory download)
	  Using it for the Canon Digital IXUS SX100IS already.

2008-09-20  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Do not disable viewfinder just after one preview.
	  Repeatedly switching on/off viewfinder mode causes refocus
	  all the time.

2008-08-28  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Increase timeout for mtp proplist reading (from
	  Chris Bagwell).

	* ptp.c, music-players.h, device-flags.h: Merged updates from libmtp.

2008-07-31  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Nikon Coolpix L16 , Nikon D700.

	* ptp-unpack.c: Fixed a property handling issue
	  with empty/non existant strings in the unpacker,
	  triggered by the D700.

	* README.ptp2: Added link to now official MTP 1.0 spec.

2008-07-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added the Canon EOS 1D Mark III (reported by jholt)

	* library.c: Disabled more 0x2372 panasonic mass storage ids.

2008-07-03  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: allow capture=off

2008-06-13  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Change initial timeout magic 
	  for Canon cameras to use 0.5 second timeouts.

	  Lets hope all the Canons can do this.

2008-06-05  Marcus Meissner  <marcus@jet.franken.de>
	    Linus Walleij  <triad@df.lth.se>

	* music-players.h, device-flags.h: Merged new music
	  players from libmtp.

2008-04-11  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, config.c: Added EOS 450D capture mode.
	  Changed setting of 0xd11c EOS property from 1 to 4.

2008-03-31  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, config.c: Try to fix EOS capture preparation,
	  by doing a real ptp_eos_getstorageids.

2008-03-15  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Adjust for GPPortInfo change.

2008-03-13  Linus Walleij  <triad@df.lth.se>

	* ptp.c/ptp.h: Added 2 new MTP object format codes.

2008-03-02  Marcus Meissner  <marcus@jet.franken.de>

	* music-players.h: Synced from libmtp.

2008-03-01  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: MTP GetObjectReferences on Sansa MTP device
	  can skip the dataphase, but return OK as response.

	  Handle this strange case here.

2008-02-22  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.h:
	  Always use Canon capture mode if available.

	  Allow the Canon capture mode to store its stuff on the card
	  by using the 0xd029 property (CaptureTransferMode).

2008-02-19  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Do not clear the "changed" flag when its not the
	  widget we want.

2008-02-07  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon IXUS 860 IS as reported.

2008-02-06  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Allow synchronising the system time to
	  the camera. Just do:

		gphoto2 --set-config synctime=on

	  Confirmed to work for Canon IXUS.

2008-01-03  Linus Walleij  <triad@df.lth.se>

	* ptp.c,ptp.h: Moved mtp property caching and
	  removing into this file. (not currently hooked up).

2007-12-10  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Disabled LUMIX FZ-20 (alternate ID),
	  since customer reports it only doing mass storage.

2007-12-10  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, music-players.h, device-flags.h:
	  New devices from libmtp project.
	  New device-flags.h from libmtp project.

2007-12-03  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Nikon DSC D300, Coolpix 7900.

2007-11-16  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Made metadata reading more intelligent, 
	  and fall back to lowlevel methods if necessary.

2007-11-14  Marcus Meissner  <marcus@jet.franken.de>

	* usb.c, ptp-bugs.h, library.c: Handle Creative Zen 8GB broken
	  header devices.

2007-11-12  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon A460, Nikon D40X.

2007-11-06  Linus Walleij  <triad@df.lth.se>

	* ptp.c: Do not print to stderr on not yet supported
	  OPFF types.

2007-10-31  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: also check for audio/x-wma and audio/x-wmv
	  mimetypes.

2007-10-27  Marcus Meissner  <marcus@jet.franken.de>

	* music-players.h, library.c, Makefile-files:
	  Split off music-players.h from libmtp to share
	  between us and libmtp.

2007-10-26  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c, config.c: Set GPContext consistently
	  in the Params struct, otherwise we might resuse
	  already free contexts.

2007-10-25  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp-bugs.h: The newer Nikons have the regular
	  capture events just fine, just the old ones suck a bit here.
	  Mark them broken for now.

2007-09-18  Linus Walleij  <triad@df.lth.se>

	* usb.c, library.c, ptp.c, ptp.h:
	  Split out cancel handling to shared code.

2007-09-13  Marcus Meissner  <marcus@jet.franken.de>

	* usb.c, library.c: Added cancellation support for read transfers.

2007-09-11  Marcus Meissner  <marcus@jet.franken.de>

	* ptp-pack.c, ptp.h, ptp.c, library.c:
	  Change MTP proplist to a proparray.
	  Rename MTPPropList to MTPProperties to match the 
	  Use qsort() instead of a O(n^2) insertion sort.
	  state.

2007-08-28  Marcus Meissner  <marcus@jet.franken.de>

	* ptp-pack.c: Pack NULL strings same as "" (from libmtp).

2007-08-22  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Nikon Coolpix S200 (from Marius Groeger) 
	* library.c: Added Nikon Coolpix L12, Cowon iAudio U3

2007-08-03  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.h, ptp-pack.c: From libmtp:
	  Pack/unpack 64bit integers.
	  Fixed packing of arrays.

2007-07-26  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Merged MTP devices from libmtp.

2007-07-18  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h: Added PTP reset handling (from libmtp).

	* ptp-pack.c, config.c: Handle EOS CameraTime (just a UNIX timestamp again)

2007-07-17  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot S5 IS.

2007-07-03  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, config.c: Set EOS properties.

	* library.c: Added Kodak C613 id.

	* ptp.c,ptp.h: Added freeing of objectinfos.

2007-06-29  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Only allow Nikon fast fs retrieval on the USB port.

2007-06-22  Marcus Meissner  <marcus@jet.franken.de>

	* Added Sony DSC-W200 (new Sony id!)

2007-06-17  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: If we get errors on OpenSession try
	  to send RESET USB control message to the device
	  to reset it / clear buffered stuff.

2007-06-15  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Nikon Coolpix series capture now determines
	  the captured filenames.

2007-06-05  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, ptp-pack.c, library.c, config.c:
	  Started EOS 400D+ style capture support.

	* ptp.h: Added lots of new Canon Powershot specific defines.

2007-05-28  Paul Walmsley <paul@booyaka.com>

	* usb.c: replace gp_port_usb_check_int_fast() calls with
        timeout save/change/restore and gp_port_usb_check_int()

2007-05-25  Paul Walmsley <paul@booyaka.com>

	* library.c: fix bogus Canon EOS 5D USB product ID

2007-05-23  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Allow configuration of Exposure Bias Compensation

	* usb.c: Handle response instead of data answer (happens on failure).
	* ptp.c: Handle GetObjectHandles errors as non critical (Just as "0 handles").

2007-05-09  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.h, usb.c: Send/Receive control messages to class.
	* library.c: Added Kodak C653

2007-05-06  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon IXUS 75 aka PowerShot SD750.
	* library.c: Added Fuji FinePix S9500.
	* library.c: Added Motorola A1200 smart phone in MTP.

2007-04-16  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.h, library.c: Added some Canon EOS specific properties
	  and values.

	* library.c: Added PowerShot SD1000 aka IXUS 70.
	* library.c: Added Kodak Easyshare C743

2007-04-11  Marcus Meissner  <marcus@jet.franken.de>

	* Added Archos 504 MTP player.

2007-04-04  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot A550
	* ptpip.c: Added major/minor version reporting.

2007-03-27  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Check for overflows in --summary.
	* library.c: Skip the 0xd201 property, it causes hangs.

2007-03-24  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added configuration of shooting mode.

2007-03-23  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h: Added MTP command 0x9806 (from libmtp).

2007-03-12  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon MV750i.

2007-03-07  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Avoid emitting the d029 property if the camera does
	  not have it.

2007-03-05  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Fuji FinePix F20.
	* usb.c: Adjusted PTP error reporting not to spew on the 
	  gp_context_error channel. 

2007-03-03  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Disable Canon fast directory retrieval,
	  since it reportedly fails with the Canon PowerShot A430.

2007-02-27  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: If we have a Canon USB device, but with
	  Microsoft vendor extid, switch the exitid back to Canon.

2007-02-26  Marcus Meissner  <marcus@jet.franken.de>

	* ptpip.c: Some small bugfixes, removed memory leaks.
	* library.c: Added Toshiba Gigabeat P20 (from libmtp).
	* Use different read/write block sizes (to help some MTP devices).

2007-02-14  Marcus Meissner  <marcus@jet.franken.de>

	* Added Minolta DIMAGE x21 (pictbridge mode)
	* Added Nikon Coolpix S4.
	* Added several MTP players from libmtp.

2007-02-07  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Handle exptime using integers,
	  not floats.

2007-02-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Rewritten UCS-2 handling to not
	  use strange hacks, but UCS-2LE directly.
	  (from Chuck Cranor)

2007-01-29  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added focuslock toggle option.

2007-01-25  Marcus Meissner  <marcus@jet.franken.de>

	* ptp-pack.c: Use a fallback method if iconv is not correct.

2007-01-20  Marcus Meissner  <marcus@jet.franken.de>

	* Added Canon PowerShot A420.
	* Added Canon Digital IXUS 900Ti.
	* Added Philips PSA235 and Samsung YH-925GS from libmtp.
	* Added SanDisk Sansa c250.
	* Added Nikon CoolPix S6.

2007-01-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.c, ptp-pack.c, ptp.h:
	  Free datastructures on closing the camera.

2007-01-14  Marcus Meissner  <marcus@jet.franken.de>

	* usb.c: read in 64kb blobs again (512 bytes read are
	  ineffecient).

	* library.c: On delete and rmdir also remove the
	  information from the internal handles and objectinfos.
	  Otherwise remove, upload, remove, upload cycles
	  will not work ... and gphotofs needs them.

2007-01-10  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added NULL check in MTP objlist reader.

2007-01-06  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.c, ptp.h, ptp-private.h, usb.c:

	  Rewrote the USB lowlevel communication layer.
	  Merged  write_func, read_func, check_int and check_int_fast
	  into the ptp_usb_sendreq etc.
	  Split the latter into its own file, usb.c.

2007-01-03  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Get endpoint maxpacketsize from the USB
	  port settings and use it in 0 write detection code.

	* library.c: More MTP mime types (from libmtp folks).

	* library.c: Rewrote the MIME type handling to
	  take vendorextensionid into account. (me)

	* library.c: Various new USB ids out of Ubuntu launchpad
	  bugreports.
		Canon PowerShot SD40
		Kodak EasyShare C433
		Kodak EasyShare V705
		Casio EX-Z700

2007-01-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Report storage information 
	  dynamically using the new API.

	* ptp.c,ptp.h: From libmtp folks:
	  Renamed some defines of MTP commands.

2006-12-30  Marcus Meissner  <marcus@jet.franken.de>

	* library.c,ptp-bugs.h: Mark up MTP devices
	  known to support MTP GetObjectPropertyList
	  correctly. Do not call it for others.

	From libmtp developers:
	2006-12-30  Orson Teodoro <orsonteodoro@yahoo.com>
	* ptp.c,ptp.h: Lots of new MTP defines and
	  debug output.

	2006-12-29  Richard Low <richard@wentnet.com>
	* ptp-pack.c: Fixed bugs in ObjectInfo packing
	  magic.
	
	* library.c: Added Philips SA9200.

2006-12-29  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Kodak C875, HP Photosmart R967.
	* config.c: Report battery level (read-only)

2006-12-28  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.h, ptp.c, ptpip.c:

	  Rewrote the whole data flow handling to allow streaming of
	  data from and to PTP devices without taking up memory.

	  Introduced generic PTPDataHandler with get and putfunctions. 

2006-12-21  Marcus Meissner  <marcus@jet.franken.de>

	* Added Kodak V570 as reported.
	* Added iRiver T20 and N12 as reported from libmtp.

2006-12-19  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: Fixed FD writing with short files (from libmtp).

2006-12-17  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Fixed leaking CameraFile + data on Canon and Nikon
	  capture.

2006-12-16  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added HP Photosmart E427.

2006-12-14  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.h,ptp.c,config.c: Imported some knowledge from libptp2.

2006-12-13  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h: Added "BuyNow" property define and debugoutput.
	* ptp-pack.c: Handle offset of DPVs of INT64 and INT128 datatype
	  correct.
	
	* library.c: Fast directory tree and metadata retrieval for
	  MTP devices.

2006-12-08  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: Get back to split headers in getobjectpropertylist.
	* ptp-pack.c: Fixed string packing. Include terminating \0.

2006-12-04  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: Fixed the response packet in-data-phase
	  handling to actually work. From libmtp folks.

2006-12-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot SD600, HP Photosmart C500.

2006-12-01  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.[ch]: MTP devices might send the response packet
	  during data-in phase. Handle such a case.

	  Patch supplied by libmtp guys and adapted.

2006-11-30  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Microsoft Zune (not fully working!)
	* library.c: Added Sirius Stilletto.

2006-11-27  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h,ptp-pack.c:
	  Bugfixes for GetObjProplist code.

2006-11-19  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h,ptp-pack.c:
	  From Libmtp folks:
	  Implemented MTP GetObjProplist opcode.

	  Handle the PTP violating READ (length 0xffffffff).

	* library.c: Added PowerShot G7.

2006-11-15  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Kodak C643, Samsung YP-K5.
	* library.c: added Creative Zen Vision W

2006-11-12  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, ptp-pack.c: Implementation of 
	MTP_SendObjectproplist from the libmtp folks.

	* library.c: added Creative Zen Vision M

2006-11-07  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Do incremental event read only for
	  actual PTP events.

	* library.c: added Nikon CoolPix L1, Kodak C530.
	* library.c: Added some HP Photosmarts, USB ids
	  extracted from the .INF files downloadable from hp.com.

2006-11-04  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Canon Digital IXUS 850 IS
	* library.c: removed pragma pack(1) ... umm.

2006-10-31  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Canon PowerShot A640.
	* library.c: Added Nikon D80.
	
2006-10-23  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h: render more MTP opcodes. (from libmtp).

2006-10-21  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: Check sequence number sequence. A mismatched response
		sequence number indicates a problem.
	* library.c: On read errors, clear USB HALT of the IN EP.
	* library.c: Added Toshiba Gigabeat S.

2006-10-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: added HP Photosmart M425

2006-10-16  Marcus Meissner  <marcus@jet.franken.de>
	* library.c: Added Creative Zen Vplus, Dunlop MP3 Player 1GB,
	  EGOMAN MD223AFD (submitted by libmtp folks).

2006-10-14  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: removed unused variable j
		The Canon fast retrieval seems to be a bit flawed
		on the IXUS 55, so add some checking.

2006-10-13  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h,ptp-pack.c,library.c:

	  Implement CANON fast directory retrieval (just one 
	  call for all objects). Should give speed-up if
	  lots of files are on the camera.
	  (Apparently needs Canon released in/after 2005).

	* library.c: Implemented "NEW" flag handling for newer
	  Canons, like with Canon driver.

	* library.c: Do not retrieve storage info unnecessary on
	  / folder listing. The information is not used at all.

	* ptp.h/ptp-pack.c: Fixed typo in StandardVersion.

	* library.c: Implemented "NEW" flag handling also for
	  older Canons using the older directory retrieval method.

2006-10-12  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Corrected SD630 name (its PowerShot brand),
	  added Digital IXUS 65 alias for same.

2006-10-11  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h: translate opcodes to strings (merged from libmtp).

	* ptp.c, ptp.h, library.c: Sync CANON opcode names with list
	  gleamed from camera access library.

	* ptp.[ch]: Get Canon wireless MAC address wrapper.

2006-10-10  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Canon Digital IXUS Wireless (same as SD430)
	  Marked them as capture capable, but capture mode not supported
	  yet.

	* ptp.c/ptp.h: Added "Request Direct Transfer" opcode for newer Canons.
	* ptp.c/ptp.h: Added "Get Direct Transfer Entries" opcode for newer Canons.
	* ptp.c: Read event in multiple parts (necessary for Canons who only read 8 
	  byte per interrupt).

2006-10-05  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Do not call Nikon commands on Canons.
	* library.c,config.c,ptp-private.h: 
	  Initialize Canon capture if we do "to RAM" capture
	  on canons.

2006-09-30  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: If PTP is busy, retry Nikon Capture
	  command.

2006-09-29  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Kodak Z612 as reported.

2006-09-25  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot A710 IS as reported.

2006-09-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Olympus IR-300
	* library.c: Do not allow "mkdir" of the same directory twice.
	* library.c: Do not allow "put" of the same file twice.

2006-09-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Kodak CD33.

2006-09-16  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Creative Zen V.
	* library.c: Added Canon PowerShot A630

2006-09-15  Hubert Figuiere  <hub@figuiere.net>

	* library.c: Added Canon EOS 400D/Digital Rebel XTi
	This camera does not have the infamous PTP bug.

2006-09-13  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp.[ch]: formatstore function (from libmtp).
	* library.c: fixed iconv() usage for non glibc etc (from libmtp).

2006-09-11  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added iRIver T10 2GB model.
	* library.c: Added Toshiba Gigabeat P10 model.

2006-09-09  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Uses short timeout during startup, but
	  longer timeouts later on.

2006-09-03  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Implemented MTP Abstract Playlist upload.
	
2006-09-02  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: CANON cmd 9006 is "lookup object".
	  (Could be used later to speed up directory listing.)

2006-08-31  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Handle cameras which just have files, but no
	  directory or root object. Kodak EasyShare C330 for instance.

	* library.c: GP_CAPTURE_IMAGE -> GP_OPERATION_CAPTURE_IMAGE.

	* library.c,ptp-bugs.h:  Mark up capture capable cameras for
	  the static capabilities.

	* library.c: added Samsung YP-F2J (from libmtp).

2006-08-30  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added iRiver Clix.

2006-08-25  Linus Walleij  <triad@df.lth.se>
	    Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,library.c,ptp.h,ptp-pack.c:

	  Use iconv(3) to convert the UCS-2 used in ptp
	  strings to the current codeset (detected by
	  nl_langinfo(3)).

2006-08-27  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c,ptp.h,ptpip.c: Merged upload from fd patch
	  from libmtp folks (Linus Walleij).

2006-08-20  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Do not download 0 sized objects.

	* ptp.{c,h}: Merged libmtp patch "download to fd"
	  to keep in sync with them.

2006-08-10  Marcus Meissner  <marcus@jet.franken.de>
	
	* Added alternate iRiver H10 id, reported by Scott Call.
	* Added SanDisk sansa m240, Samsung YP-U2J, Archos 104

2006-08-07  Hubert Figuiere  <hub@figuiere.net>

	* library.c: Added Canon SD430

2006-07-22  Hubert Figuiere  <hub@figuiere.net>

	* library.c: Added Kodak P850

2006-07-08  Marcus Meissner  <marcus@jet.franken.de>

	* config.c: Hue Adjustment is an Enumeration on Nikon P3.

2006-07-08  Nicolas Boichat  <nicolas@boichat.ch>

	* config.c: Fixed bug in generic handler, when widgets
	  could be added twice.

2006-07-07  Nicolas Boichat  <nicolas@boichat.ch>

	* library.c,ptp.c,ptp.h,ptpip.c:
	  Added configuration upload of WIFI profiles
	  for the Nikon P2.

	* ptpip.c: Generate a random GUID if not set yet
	  and store it in the gphoto settings.

	* PTPIP.TXT: Documented profile layout.

2006-07-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Enhanced duplication logic to
	  work for the cases we encounter on MTP devices.

	* ptp-bugs.h, library.c: Mark up MTP devices
	  and classify them as Audio Devices. (For later
	  use by packaging scripts.)

	* library.c: Generic autodetection of MTP devices
	  by bypass hack with USB class.

2006-06-26  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Kodak Z650.


2006-06-24  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added AVPlaylist download (upload to come).

2006-06-24  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c, config.c, ptp-private.h, Makefile.am:
	
	  Split out configuration handling into new file config.c

2006-06-16  Hubert Figuiere  <hub@figuiere.net>

	* library.c: 30D has DCIM ROOT bug

2006-06-13  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.{ch}: Updated MTP defines from libmtp.

2006-06-01  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added new USB ids for:
	  Canon PowerShot A540, A530, S3 IS, SD700, IXUS 800, IXUS 60,
	  iRiver T20 FM
	  Dell Pocket DJ
	  Nikon Coolpix L4, L3
	  Kodak Easyshare Z740
	  Sony DSC-U10
	  Leica D-LUX 2
	  JVC Alneo XA-HD500

2006-04-27  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: The iRiver devices occasionaly send a byte more than
	  we requested which could lead to memory corruption due to 
	  logic that did not expect that.

	* library.c: Replaced fprintf by gp_log in parse_metadata.

2006-04-17  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp.c, library.c: Added several more Nikon DSLR config options.
	* library.c: Prepare handling Burst mode on the Nikon DSLRs,
	  (I just need to know the Object ID sequence generated).

	* library.c: Added METADATA retrieval and setting for MTP devices.

2006-04-12  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added PowerShot A700 as reported.

2006-04-04  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Nikon D200, as reported by Jana Jaeger.

2006-04-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added lots of Nikon configure options.

2006-03-28  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added EOS 30D as reported on SF.

	* library.c: Enhance about text a bit. Explain
	  that we are not a Licensed MTP Implementation,
	  but are fully able and willing to serve MTP
	  devices.

2006-03-26  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Handle mp3 mime type correctly.
		New devices (copied from libmtp).
		Better "bad folder" errormessage.

2006-03-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added wait_for_event hook to return
	  ptp events.

2006-03-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon Optura 600.

2006-03-16  Marcus Meissner  <marcus@jet.franken.de>

	* Makefile.am, library.c: Enable PTP/IP per default
	  to shake out compile problems on !Linux before
	  release.

2006-03-10  Hubert Figuiere  <hub@figuiere.net>

	* library.c: HP 850 has PTPBUG_DUPE_FILE
	(file_list_func): handle DUPE_FILE bug

	* ptp-bugs.h (PTPBUG_DUPE_FILE): added this PTP bug

2006-03-09  Hubert Figuiere  <hub@figuiere.net>

	* library.c: Added Kodak C360 (from Debian) 

2006-02-17  Marcus Meissner  <marcus@jet.franken.de>

	* ptpip.c,ptp.h,library.c:
	
          PTP/IP protocol implementation.

	  Currently not enabled, just included for
	  reference and the not so faint at heart.

	  Missing:
	  - Still using hardcoded IP address and GUID.
	  - autoconf the UNIX socket function stuff.
	  - PTPIP event handling

2006-02-17  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c: Return the actual PTP protocol return
	  code from the ptp_transaction(). 

	  This makes us see the actual errors the camera
	  reports.

2006-02-06  Marcus Meissner  <marcus@jet.franken.de>
	* library.c: Added EOS 5D

2006-02-05  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Use event_check and event_wait
	  functions from params struct. Initialise those
	  entries.

2006-01-31  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Enabled Canon SDRAM capture,
	  using the same methods as the Nikon capture.

2006-01-31  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Toshiba Gigabeat MTP player.

2006-01-30  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Nikon SDRAM capture.
	  Downloads images directly after capture.

	  Added configuration for Capture Target 
	  (Card or SDRAM).

2006-01-24  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp-bugs.h, library.c: Added bug handling where some canon
	  cameras send ObjectDeleted events on DeleteObject.

	  Since EOS firmware doesnt do that, use a bugflag
	  instead of vendor check.

2006-01-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added HP Photosmart E317
		     Added Canon PowerShot S80.
	* library.c: Relaxed Association checks for directories.
	  The E317 sees AssocType 0x0 (undefined) for DCIM/ et.al.
	
	  Avoid buffer overflows on too long filenames.
	
	  Enabled Creative Zen Micro (was failing on the 512 byte
	  problem before, should be fixed now).

2006-01-17  Marcus Meissner  <marcus@jet.franken.de>

	* ptp-parse.pl: parse binary SnoopyPro / usbsnoop logs too.

	* PTPIP.TXT: enhanced. PTP/IP uses actually 2 tcp/ip connections.

2006-01-16  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added progress bar support for
	  downloads and uploads. Contributed by 
	  Dave O <cxreg@pobox.com>.

	* ptp.c, ptp.h, library.c: Print MTP object properties
	  in --summary

2006-01-14  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.c, ptp.h: more --summary output.
	  List OFC codes now.

	* library.c:
	  Cleaned up config function parameter lists.
	  Need to property desc on "put" too (for Focal Length
	  currently).
	  Replaced 19 tablelookup based functions doing
	  the same by 2.

	  Implemented configuration for:
		- FocalLength
		- FocusMode

2006-01-12  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c, ptp-pack.c:
	  Unpack all members of the StorageInfo structure.
	  Add Storage summary to --summary output.

2006-01-11  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Also split ptp writes into 4k chunks
	  to avoid lowlevel timeouts.

2006-01-09  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: added iRiver U10.

2006-01-08  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp-pack.c, ptp.h: Enhanced ptp_nikon_check_event(),
	  unpack event list.

2006-01-06  Marcus Meissner  <marcus@jet.franken.de>

	* PTPIP.TXT: describes PTP/IP communication basics.
	  

2006-01-05  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Removed one unnecessary line of code.
	  Use event_check instead of event_wait for now in
	  canon specific delete code.
	  Added Fuji Finepix E900/PictBridge id.

	* library.c: Added Philipps HDD6320 MTP player.

2006-01-01  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Add EOS 350 canon id too, since
	  it apparently reacts to PTP traffic on it too.

	* ptp.c, ptp.h: Adjusted several canon properties to 
	  better names. Added some previously not known ones.
	  "ramsize" is actually "firmwareversion" and so on.

2005-12-30  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Only allow getpartialobject for EXIF
	  JPEG images.

2005-12-29  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, library.c:
	  Added "fast filesystem" startup mode for newer
	  Nikon cameras.

	  For cards with large number of images this patch
	  reduces the time from > 10 seconds down to 1.5 seconds.

	  It however only allows recreation of a limited view
	  of the /DCIM tree.

	  To switch between old (more correct) and new (faster)
	  model, use the "Camera Settings" -> "Fast Filesystem" 
	  config.

	* library.c: Kodak C330 has no 0x0 parentobject entry in
	  non-card mode, so mark it as "autodetect parent".

	* Cleaned up some names of Nikon defines values.

	* ptp-pack.c, ptp.c, ptp.h: Added Eastman Kodak 
	  setserial, getserial and settext commands.
	  You can display "Hello World!" on the TFT ... ;)

2005-12-28  Marcus Meissner  <marcus@jet.franken.de>

	* Fixed signedness warnings by using "unsigned char*"
	  more often.

	  Added ptp_getnumobjects() function.

2005-12-19  Marcus Meissner  <marcus@jet.franken.de>

	* Added Canon IXUS 750.
	* Added HP PhotoSmart M23.

2005-12-18  Hubert Figuiere  <hub@figuiere.net>

	* Added Kodak V530.

2005-12-18  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.c, ptp.h:

	  Synchronized Nikon defines with libptp2.
	
	  Added Nikon (special) capture, checkevent, check readyness

2005-12-08  Marcus Meissner  <marcus@jet.franken.de>

	* Added Nikon Coolpix P2.
	* Added Ricoh R3 (print mode).
	* Added Kodak Easyshare C31, reported by Giulio Salani.
	* Added Canon PowerShot A620, reported by Tom Roelz.
	* Added iRiver T20, reported by Martin Senst.
	* Added HP Photosmart M415, mentioned in a bugreport.
	* Added Canon PowerShot A610, reported by Andriy Kulchyts.
	* Added Olympus d-540z, c-310z, x-100, reported by Bruno Parente.
	* Added Panasonic DMC-LZ2, reported by Jens Stutte.
	* Added iRiver T30, reported by Bruno Parente Lima.
	* Added Nikon D50.
	* Added iRiver T10 with alternate ID, reported by Jay MacDonald.

2005-10-28  Marcus Meissner  <marcus@jet.franken.de>
	
	* Added Canon Digital IXUS 55, PowerShot SD450.
	* Added Canon PowerShot A410
	* Added Nikon Coolpix 4800.

	* library.c: Do partial read only if there is enough to read.
	  (from Jon Burgess)

2005-10-24  Marcus Meissner  <marcus@jet.franken.de>

	* Added Kodak C300 as reported.
	* Added Kodak V550 as reported.

2005-10-13  Marcus Meissner  <marcus@jet.franken.de>
	
	* Added iRiver T10.
	  This is an MTP device, but the user reported being able to
	  browse the filesystem and to download stuff.

2005-09-24  Marcus Meissner  <marcus@jet.franken.de>

	* README: Added Copyrights Marcus & Hubert
		  Added documentation URLs.

2005-08-11  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Coolpix 5600.

2005-08-07  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Kodak C340 (mail by Maurizio Daniele <hayabusa@portalis.it>)

2005-07-31  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Coolpix 5900 
	  https://sourceforge.net/tracker/?func=detail&atid=358874&aid=1248287&group_id=8874

2005-07-19  Marcus Meissner  <marcus@jet.franken.de>

	From Vince Vegard <vegard@engen.priv.no>:
	* library.c, ptp.c, ptp.h:

	  Implemented Nikon Curve download.

	* library.c: Added Nikon Coolpix 5200.

	* library.c: PTP is class 6, subclass 1, protocol 1.


2005-07-19  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Use params everywhere.

	  Enhance errorhandling to report errors only for
	  the correct vendor.

	  Completed Canon theme download, but disabled.
	
2005-07-14  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added GX 8 in ptp mode.

2005-07-08  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Borrowed a Nikon D70 for a day
	  (thanks AJ!) and implemented:

	  F-Number, Focal Length, Exposure Metering Mode,
	  Focus Metering Mode, Flash Mode, Exposure Time,
	  Exposure Program Mode, Exposure Index (ISO),
	  Still Capture Mode, AF Illumination (dont know what
	  this is), AF Beep Mode.

2005-07-07  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Moved one Olympus product id to sierra
	  driver where it belongs.

2005-05-25  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Hub reverted the Kodak LS473 -> 743 change,
	  corrected again.

	* library.c: Eos Mark II D has root bug too.

2005-05-14  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added a /special folder for camera specific
	  non ptp filesystem data.

	  (Canon: theme data, Nikon: Whitebalance Curve, etc.)

	  Implemented Canon theme download (but still as a blob
	  file).

2005-05-08  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Get removeobject events for canons on delete.

2005-05-05  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added PowerShot SD500 aka IXUS 700

2005-04-26  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot A520.

2005-04-11  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Nikon D2Hs SLR.

2005-04-10  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.[ch]: 9010 and 9011 is Canon Theme
	  Download and Upload.

2005-04-05  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Pentax Optio 43WR (as reported)

2005-03-20  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Merged in most of the code from:
	ptpcanon 0.0.2
		 http://jalkapallo.org/superkolik/canon.html
	Capture 1.0.3
		 http://sf.net/projects/capture/
	into generic PTP property handling.

	Added camera prepare und unprepare capture handling.
	Using a gphoto widget based toggle currently.

	Disabled by using EXPERIMENTAL_CANON_CAPTURE, since
	it does not save the capture image to the FlashCard yet.

2005-03-17  Marcus Meissner  <marcus@jet.franken.de>
	
	* Added Kodak CX7525 ( as reported).

2005-03-07  Marcus Meissner  <marcus@jet.franken.de>

	* Added Nikon D2H SLR (as reported).
	* Added PowerShot A510 (as reported).

2005-03-02  Marcus Meissner  <marcus@jet.franken.de>
	
	* Added PowerShot S70 (as reported).

2005-02-22  Marcus Meissner  <marcus@jet.franken.de>
	
	* Added Digital IXUS 30 (as reported). 

2005-02-09  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: added Sony DSC-W1 and DSC-W12.
	added Fuji FinePix A330.
	added Sony DSC-P73.

2005-01-25  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, library.c: 
	Vegard Engen <vegard@engen.priv.no>
	Clean up of last Nikon PTP patch.

2005-01-24  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h, library.c:
	Implemented EXIF reading by using GetPartialObject.

2005-01-24  Marcus Meissner  <marcus@jet.franken.de>

	* library.c, ptp.c, ptp.h:
        Merged Nikon property dumping patch from
	Steve Harris <steve@totl.net>

2005-01-23  Marcus Meissner  <marcus@jet.franken.de>

	* ptp.c, ptp.h: Added ptp_event_issupported helper
          function.

	* library.c: Canon IXUS 2 (and some other IXUSs) 
	  send ObjectRemoved events on deleteobject. We need
	  to read them or we hang the communication.

2005-01-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c:

	Vegard Engen <vegard@engen.priv.no>
	For Nikon PTP cameras:
	Added Long Exposure settings.
	Added Compression mode setting.

2005-01-21  Hubert Figuiere  <hfiguiere@teaser.fr>

	* ptp-bugs.h: Added file. 

	* library.c (camera_init): Lookup for PTP bug
	(init_ptp_fs): Bug specific workaround (EOS 20D + 300D)
	Added flags for bugs in camera-list.

2005-01-20  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Sony DSC-P120

2005-01-17  Marcus Meissner  <marcus@jet.franken.de>
	
	From Dean Brettle <brettle@users.sourceforge.net>
	* library.c: Use capture date if no modify date is
	  there.
	
2005-01-17  Marcus Meissner  <marcus@jet.franken.de>

	From Vegard Engen <vegard@engen.priv.no>
	* library.c, ptp.h:
	
	  Implemented PTP Property handling for:
	  - generic WhiteBalance
	  - generic ImageSize
	  - Nikon Image Comment

2005-01-17  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added PowerShot SD200.

2005-01-16  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Pass Camera* to property put and get
	  functions too, so we can make vendor based adjustements.

2005-01-15  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Return the correct path and filename
	  on --capture-image.

2005-01-13  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Minolta DIMage Z2 (PictBridge).

2005-01-11  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Sony DSC-T3 as reported.

2005-01-08  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Send owner name with \0, or we get
	  it back corrupted.

2005-01-02  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon FlashMode property.

2004-12-22  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Nikon CoolPix 4100 as reported.

2004-12-21  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Kodak DX7590 (bug #1089154)

2004-12-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Sony DSC-P51 (bug #1088798)

2004-12-20  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Sony DSC-F717. (bug #1087148)

2004-12-16  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added HP Photosmart R707 and M307.

2004-11-29  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: D70 PTP mode has 0x406 id.
	* library.c: Kodak LS473 should be 743 (typo fixed)
		     the CX4210 should have product id 0x560 instead of 0x565

2004-11-29  Marcus Meissner  <marcus@jet.franken.de>
	
	Edward Kuns
	* library.c: Added hack to detect / if no 
	  object has parentid 0. fixes Canon EOS 20d.

2004-11-15  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Panasonic DMC-FZ20.

2004-11-09  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added IXUS 40.

2004-10-28  Hubert Figuiere  <hfiguiere@teaser.fr>

	* ptp.h: Fix build for gcc 2.95
	(bug #1055868)

2004-10-20  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Konica-Minolta DiMAGE Z3

2004-10-17  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Canon PowerShot G6.

2004-09-28  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Canon PowerShot A400.

2004-09-21  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon EOS 20D.

2004-09-11  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Use widget name to mark up config entries.

	  Added more config cases from Canon in capture mode.
	  - zoom (working)
	  - auto focus assist light
	  - beep mode
	  - exposure compensation (not fully done)

2004-09-05  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp-pack.c: Pack integer arrays.
	* library.c: Enabled setting of configuration.
		- Made work and tested:
		* Canon Camera Owner.
		* Canon Time on camera.

	* ptp.[ch]: Make ptp_free_propertyvalue nonstatic.

2004-09-04  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Nikon Coolpix 2200

2004-08-25 Marcus Meissner  <marcus@jet.franken.de>

	* ptp-pack.c, ptp.c, ptp.h: 
	  - Added length parameters to the read functionality 
	    to avoid buffer overflows.
 	  - Added PTPPropertyValues as generic property values.
	  - Rewrote all property handling functions.
	  - Added property array support.
	  - Move property names from ptpcam to libptp.

	* library.c:
	  - Print all available property values with names in --summary
	  - Started generic configuration handling.

2004-08-15  Marcus Meissner  <meissner@suse.de>
	
	* library.c: Added Canon PowerShot A85.
	* library.c: Added Kodak LS753 DX7630 CX7300 CX7220
	   CX7330 CX7530 DX7440 CX6445 as reported on SourceForge
	   http://sourceforge.net/tracker/index.php?func=detail&aid=982934&group_id=8874&atid=358874
	* library.c: Added Nikon Coolpix 4200 (thanks Lars!)

2004-08-15  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added EOS 1D Mark II

2004-08-12  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Canon Powershot S60 as it works.

2004-08-04 Marcus Meissner   <meissner@suse.de>
	
	* Added Canon PowerShot A310 ids as reported.
	* Added Ricoh Caplio GX ids as reported.
	* Added Nikon D70 ids as reported.
	* Added Sony MVC-CD500.

2004-07-16 Mariusz Woloszyn

	* ptp.h: Added NIKON extension code by Corey Manders 

2004-06-23  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Kodak LS-473
	Close RFE #977619 <http://www.gphoto.org/rfe/?id=977619>

2004-06-13  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot S1 IS.

2004-05-29 Mariusz Woloszyn

	* library.c: Fixed a small problem that caused objects of undefined
	type not beeing downloadable. Now they are downloadable if the Thumb
	type is known.

2004-05-24  Marcus Meissner  <marcus@jet.franken.de>

	* library.c: Added Canon PowerShot SD110.

2004-05-17  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Canon A75 (PTP mode)

2004-05-12  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Fuji FinePix S7000 (PictBridge mode)

2004-05-11  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Kodak CX4310

2004-04-26  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Added Canon Digital IXUS 430 /
	  PowerShot S410 as reported.

2004-04-18  Marcus Meissner  <marcus@jet.franken.de>
	
	* library.c: Nikon Coolpix 3200 as reported.

2004-04-13  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Kodak CX7430. Close patch #934142.

2004-04-07  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added HP PhotoSmart 945 (T. Jelbert)
	Close bug #930400

2004-04-02  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added PowerShot S500 (Digital IXUS 500 alias)

2004-04-01  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added HP PhotoSmart 635

2004-03-28  Marcus Meissner  <meissner@suse.de>

	* library.c: Added Canon Elura 50 as reported.

2004-03-20  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Digital IXUS 500

2004-03-19 Mariusz Woloszyn
	* library.c: added Konica-Minolta DiMAGE A2
2004-03-01 Mariusz Woloszyn
	* library.c: better capture code
2004-02-13 Mariusz Woloszyn
	* TODO: updated TODO
2004-02-06 Mariusz Woloszyn
	* library.c: added more descriptive error message
2004-02-01  Marcus Meissner  <marcus@jet.franken.de>

	* Sony P-10 as reported by Fred Point.

2004-01-20 Mariusz Woloszyn
	* library.c: added more descriptive error message to capture code
2004-01-20  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp.c: As reported by Eric Valette added Canon PowerShot S50.
	* ptp.c: New sony name, one generic Sony PTP name.

2004-01-18  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp.c: As reported by Thorsten Ehlers - t_ehlers@users.sf.net, 
	  added Nikon Coolpix 3700.

2004-01-10  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp.c: As reported by VICTOR <viaaurea@yahoo.es>,
	  added Olympus cameras: C-350Z, D-560Z, and X-250 (all the same id).

2004-01-05 Mariusz Woloszyn
	* ptp.c: sync with libptp2 code.

2004-01-04  Marcus Meissner  <marcus@jet.franken.de>
	
	* ptp.c: Added Canon Digital IXUS i as reported.

2004-01-02  Marcus Meissner  <marcus@jet.franken.de>

	(merged from libptp2)
	* ptp.c, ptp-h.c, ptp-pack.c: added Canon specific PTP extension
          code written by Nikolai Kopanygin.

2003-12-27  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Sony DSC-U20

2003-11-26 Mariusz Woloszyn
	* library.c: make the capture code less sensibe for protocol
	incompatibility.
2003-10-20  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Sony DSC-P52, DSC-P72, DSC-P92
2003-10-14 Marcus Meissner 
	
	* library.c: Fixed progress max value to be 100, or we get Inf/Nan
	  or division by 0...

2003-10-10 Olivier Crete <tester@tester.ca>
	* library.c: Add Canon A80

2003-10-01 Mariusz Woloszyn
	* library.c: removed Canon Digital Rebel, as the report was with the
	  wrong Product ID

2003-09-30 Marcus Meissner 

	* library.c: Added Canon Digital Rebel as reported by Yves Boisjoly
		     <Yves.Boisjoly@sympatico.ca>
	* library.c: Check if we support DeleteObject before calling it. Some
		     cameras do not have it.

2003-09-24 Marcus Meissner 

	* library.c: Use strtoul instead of strtol, or we cant handle
	  stores with id 0x80000001.
	  Replaced one check for GetStorageIds by GetStorageInfo.

2003-09-20  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* library.c: Added support for
	  EOS 300D/Digital Rebel/KISS Digital, thanks to Johan Herland
	  and T.V.

2003-09-20  Marcus Meissner <marcus@jet.franken.de>

	* library.c: Fixed compile. (defined names with - are invalid).

2003-09-19 Mariusz Woloszyn
	* library.c: fixed capture imout and increased to 20 seconds; fixed
	  internal structures update when uploding files and creating
	  folders;
	* TODO: updated

2003-09-17  Marcus Meissner <marcus@jet.franken.de>

	* library.c: Increase timeout for capture. A G5 needs longer than 8 seconds...

2003-09-12 Mariusz Woloszyn

	* library.c: fixed a minor bug that caused error while deleting
	  folders not in storage subfolder (removed trailing '/' in folder
	  names); fixed making folders on devices not supporting kodak PTP
	  extension; some debug improvement;

2003-09-12 Mariusz Woloszyn

	* library.c, ptp-pack.c, ptp.c ptp.h: be proper as hell, changed all
	  '//' comments to '/* blah */' ;)
2003-09-12 Mariusz Woloszyn
	* ptp.h: added some defines (sync with libptpt2-1.0pre6)
	* library.c: use kodak extension operation ONLY VendorExtensionID
	  field indicates that the device uses kodak PTP extension
	* ptpcam.c: removed; download libptp2 sources if you need it
	* Makefile.am: ptpcam.c removed
	* README: updated for ptpcam.c removal
	
2003-09-11  Marcus Meissner <marcus@jet.franken.de>

	* library.c: Note down filename in info struct.
		     Update battery level status display (not quite finished).
		     Add Canon Digital IXUS 2.

2003-09-11  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added, Sony DSC-V1

2003-09-10  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: Added Sony DSC-P31

2003-08-05 Mariusz Woloszyn

	* library.c: ups... PTP_OFC_EXIF_JPEG thumbnails may not contain
	  EXIF information... revertig to previous behavior :(

2003-08-05 Mariusz Woloszyn

	* library.c: return thumbnauil when asked for GP_FILE_TYPE_EXIF if
	  object is PTP_OFC_EXIF_JPEG, otherwise return 
	  GP_ERROR_NOT_SUPPORTED

2003-08-03 Mariusz Woloszyn

	* library.c: PTP do not offer plain EXIF data; return
	  GP_ERROR_NOT_SUPPORTED while downloading GP_FILE_TYPE_EXIF.

2003-08-29 Mariusz Woloszyn

	* library.c: allow downloading thumbnail of nonimage objects,
	  however only in case that the ThumbCompressedSize is greater than 0

2003-08-28 Mariusz Woloszyn

	* library.c: added Canon IXUS 400, thanks to Till Kamppeter

2003-08-28 Mariusz Woloszyn

	* library.c: added Nikon Coolpix 3500, 5000, 3100 & 2100, thanks to
	  Antti Tuominen
2003-08-22 Mariusz Woloszyn
	* library.c: added Nikon CoolPix 4500 and HP PhotoSmart 935, thanks
	  to T. Kaproncai

2003-07-28 Mariusz Woloszyn

	* library.c: removed Kodak DC290, DX4230, DX4300, changed productID
	  of Kodak CX4210 and added Nikon Coolpix 5400. Thanks to T.
	  Kaproncai

2003-07-17 Mariusz Woloszyn

	* library.c: added following cameras: Kodak DC290, Kodak DX4530,
	  Kodak DX6440, Kodak DX6490, Kodak LS663, Kodak CX4230,
	  Kodak CX6200, Kodak CX6230, Kodak CX6330, HP PhotoSmart 120,
	  HP PhotoSmart 620, HP PhotoSmart 735, HP PhotoSmart 812

2003-07-09 Mariusz Woloszyn

	* library.c: added Nikon Coolpix SQ: M. Holzbauer

2003-06-12 Mariusz Woloszyn

	* library.c: added DX6340 explicite support

2003-05-14 Mariusz Woloszyn

	* ptpcam.c: changed test_ptp.c to ptpcam.c;
	* Makefile.am: changed test_ptp.c to ptpcam.c;
	* TODO: added the idea of error reporting improvement
	* README: reorganized a bit

2003-05-13 Mariusz Woloszyn

	* ptp-pack.c: ptp_pack_DPV() fixup;
	* ptp.c: reorganized reporting errors, added ptp_perror();
	* ptp.h: added ptp_perror() prototype;
	* test_ptp.c: reorganized reporting errors; added property setting
	  support!

2003-05-12 Mariusz Woloszyn

	* ptp.c: fflush(stderr) on error and debug; 
	  added datatype argument for ptp_getdevicepropvalue();
	  added ptp_setdevicepropvalue();A
	* ptp-pack.c: added ptp_unpack_DPV() and ptp_pack_DPV();
	  fixed missing strings while unpacking enumerated DPD;
	* ptp.h: fixed ptp_getdevicepropvalue() prototype and added
	  ptp_setdevicepropvalue() prototype;
	* .cvsignore: changed ptp_test to ptpcam
	* Makefile.am: changed ptp_test to ptpcam
	* test_ptp.c: reorganized debug/error output, added more verbose
	  levels; fixed extension properties debug (only EK supported as for
	  now); added property supported values output; 

2003-05-09 Mariusz Woloszyn

	* test_ptp.c: added the device reset option (uses class specific
	  reset)

2003-05-09 Mariusz Woloszyn

	* ptp.h: added some Kodak extension device property codes
	  definitions
	* test_ptp.c: added properties listing support and --force option

2003-05-01  Hubert Figuiere  <hfiguiere@teaser.fr>

	* library.c: add explicitly DSC-P32 (was autodetected)
	  add Coolpix 2000

2003-04-25 Mariusz Woloszyn
	* Makefile.am: added ptp_test as noinst_PROGRAMS
	* README: changed references to test_ptp to ptp_test
	* test_ptp.c: added some functions prototypes (to avoid warnings),
	  reconstructed usage() plus some cosmetic changes

2003-04-25 Mariusz Woloszyn
	* library.c: romved dups in cameras declaration, cosmetic --about
	  changes

2003-04-25 Mariusz Woloszyn
	* README: added to ptp2
	* test_ptp.c: added to ptp2
	* TODO: added to ptp2

2003-04-25 Mariusz Woloszyn
	* library.c: added perror on gp_port_read() and write error; it
	  won't hurt
	* ptp.c: NULL does not have to be 0 bug fixed;
	  cosmetics error output tuning;
	  unpack structures only if transaction succeeded
	* ChangeLog: reformated this file ;)

2003-04-12 Marcus Meissner <marcus@jet.franken.de>
	
	* ptp.c, library.c: Check return codes for property get during
	  --config.

2003-04-10 Mariusz Woloszyn
	* library.c: added Canon A70
2003-04-03 Mariusz Woloszyn
	* ptp.c: added ptp_free_devicepropdesc()
	* ptp.h: added ptp_free_devicepropdesc()
	* library.c: ptp_free_devicepropdesc() used to free allocated
	  structures
2003-04-03 Mariusz Woloszyn
	* library.c: enabled getting config support;
	  curently only getting batery level is supported;
	* ptp-pack.c: "finished" Device Property Describing Dataset
	  unpacking function ptp_unpack_DPD();
	* ptp.h: changed PTP_DC_* to PTP_DTC_* (DTC stands for DataType Code);
	  changed PTPDevicePropDesc fields name;
	* ptp.c: added ptp_getdevicepropvalue() (not working properly yet);
2003-04-01 Mariusz Woloszyn
	* library.c: added Kodak CX4200 explicite support;
	  added some get config code (it's not enabled, nor finished yet);
	  added some extra debug info about events and properties supported
	* ptp-pack.c: intoduced ptp_unpack_DPD (not finished yet)
	* ptp.c: added ptp_getdevicepropdesc()
	* ptp.h: introduced some device property describing structures and
	  constants

2003-03-29 Mariusz Woloszyn
	* library.c: enabled downloading of nonimage files
	* ptp.c: fixed a bug in capture code

2003-03-29 Mariusz Woloszyn
	* library.c: enabled back capture image support

2003-03-29 Mariusz Woloszyn
	* ptp.h: added Nparam field to PTPContainer
	* ptp.c: using Nparam field we send requests with only used params
	  to the camera (although specs says it's legal, some cameras do not
	  like it)

2003-03-29 Mariusz Woloszyn
	* ptp.c: fixed a memcopy size bug
2003-03-27 Mariusz Woloszyn
        * library.c: added HP PhotoSmart 320

2003-01-08 Mariusz Woloszyn
	* ptp.c: cosmetic
	* ptp-pack.c: fixed a bug in ptp_unpack_DI(), totallen could be
	  bigger than uint8_t
	* library.c:  added camera summary

2003-01-08 Mariusz Woloszyn
	* ptp-pack.c:
	* ptp.c: fixed buggy ptp_usb_senddata()

2003-01-06 Mariusz Woloszyn
	* updated some comments, added some extra debug and introduced
	  support for senobjectinfo and sendobject.
	* Makefile.am: changed driver name to ptp2

2003-01-03 Mariusz Woloszyn
	* Commited version 2 of libptp2 and ptp driver.
	  This code is unfinished yet, but it's meant to be transport layer
	  independent. It fixes a lot of other bugs also.

2002-10-16 Stephen H. Westin
	* library.c: Nikon D100 has a PTP mode

2002-10-03  Lutz Müller <lutz@users.sourceforge.net>

	* Makefile.am: -I$(top_builddir)/libgphoto2

2002-08-20 Mariusz Woloszyn

	* README: added some descriptions and hints for users

2002-08-02 Mariusz Woloszyn

	* ptp-pack.c: Fixed an awfull bug (one byte overflow).
	  Thanks to go to Hubert Figuiere for pointing me at Valgrind, the
	  tool that helped me to find this bug.
	* ptp-pack.c: initialized uninitialized timezone structure

2002-06-10 Mariusz Woloszyn
	* added basic capture functionality with events support

2002-03-18 Mariusz Woloszyn
	* library.c: added multiple storage support
	* ptp.c: fixed missed parameter for getstorageinfo

2002-03-14 Mariusz Woloszyn
	* library.c: undefined file is a file

2002-03-06 Marcus Meissner
	* library.c: translate the error messages

2002-03-05 Mariusz Woloszyn
	* ptp.c: updated ptp_getobjecthandles() to be protocol compliant
	* ptp.c: rewrited ptp_transaction and ptp_sendreq code to send no
	  more bytes than expected by device (fix for HP cameras)
	
2002-03-04 Mariusz Woloszyn
	* library.c: some vendor/product IDs added
	* library.c: changed initial transaction_id
	* ptp.c: added ptp_getstorageids, fixed ptp_getobjecthandles
	* ptp-pack.c: added ptp_unpack_OH, ptp_unpack_SIDs,
	  ptp_unpack_uint32_t_array
	* ptp.h: added typedef of PTPStorageIDs, ptp_getstorageids function
	  prototype
	  (all changes according to TODO, multi storage support)

2002-01-16  Lutz Müller <lutz@users.sourceforge.net>

	* library.c: No time for previews...

2002-01-16 Mariusz Woloszyn
	* ptp-pack.c:     added fake date packing
	* ptp.c:  Fixed ptp_ek_sendfileobjectinfo to use packed structures
	* library.: started implementation of upload file (for Kodak only!)

2002-01-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* library.c: Remove references to gp_camera_set_error.

2002-01-11 Marcus Meissner <marcus@jet.franken.de>
	
	* Makefile.am: Moved ptp-pack.c from SOURCES to EXTRA_DIST, since
	  it cannot be compiled stand alone.

2002-01-10 Dan Fandrich <dan@coneharvesters.com>

	* Makefile.am: Added ptp-pack.c

2002-01-09 Dan Fandrich <dan@coneharvesters.com>

	* library.c:
	* ptp.c:
	* ptp.h: Moved include of time.h to ptp.h to get time_t definition
	  Moved typedef lines after their dependent definitions.
	  Fixed spelling of PTPDeviceInfo.

2002-01-09 Mariusz Woloszyn
	* Started ptp fs implementation

2002-01-08 Mariusz Woloszyn
	* Added pack / unpack C structures to ptpdatasets code
	* fixed host byteorder / data layer byteorder problem

2002-01-04 Mariusz Woloszyn
	* Added workaround for ioctl return 0 problem (this does not hurt)
	* Added DX-3215 support
	* removed hto*le() stuff
	* updated TODO (describes how to solve byteorder problem)

2001-12-14 Mariusz Woloszyn
	* huge parts of code rewriten, added SENDDATA transaction feature,
	added make directory ability (curently BROKEN!!!)

2001-12-14 Mariusz Woloszyn
	* file deleting implemented

2001-12-13 Mariusz Woloszyn
	* whole parts of code has been rewriten

2001-12-13 Mariusz Woloszyn
	* added implementation of Object Format, fixing get_info_func

2001-12-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* library.c: Add some debugging stuff.

2001-12-02  Mariusz Woloszyn

	* library.c: Updatet vendor & product numbers for Kodak DX-3900.

2001-12-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* library.c: Fix warning

2001-12-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* library.c: Fixed vendor/product if of HP PhotoSmart 318.
